Firewall Policy Idps Signatures Filter Values - List

Retrieves the current filter values for the signatures overrides

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/firewallPolicies/{firewallPolicyName}/listIdpsFilterOptions?api-version=2025-07-01

URI Parameters

Name In Required Type Description
firewallPolicyName
path True

string

The name of the Firewall Policy.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
filterName

string

Describes the name of the column which values will be returned

Responses

Name Type Description
200 OK

SignatureOverridesFilterValuesResponse

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

query signature overrides

Sample request

POST https://management.azure.com/subscriptions/e747cc13-97d4-4a79-b463-42d7f4e558f2/resourceGroups/rg1/providers/Microsoft.Network/firewallPolicies/firewallPolicy/listIdpsFilterOptions?api-version=2025-07-01

{
  "filterName": "severity"
}

Sample response

{
  "filterValues": [
    "low",
    "medium",
    "high"
  ]
}

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

SignatureOverridesFilterValuesQuery

Describes the filter values possibles for a given column

SignatureOverridesFilterValuesResponse

Describes the list of all possible values for a specific filter value

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

SignatureOverridesFilterValuesQuery

Describes the filter values possibles for a given column

Name Type Description
filterName

string

Describes the name of the column which values will be returned

SignatureOverridesFilterValuesResponse

Describes the list of all possible values for a specific filter value

Name Type Description
filterValues

string[]

Describes the possible values